Главная / Новости / В программном решении для ПЛК Beckhoff TwinCAT обнаружена серьезная уязвимость

В программном решении для ПЛК Beckhoff TwinCAT обнаружена серьезная уязвимость

US-CERT опубликовал уведомление о наличии уязвимости в программном решении для ПЛК BeckHoff TwinCAT. Успешная эксплуатация данной уязвимости может позволить локальному злоумышленнику получить повышенные привилегии на целевой системе.

Согласно оповещению компании Beckhoff Automation, уязвимость связана с неправильной проверкой значений указателя, предоставленного пользователем, несколькими драйверами ядра.

Уязвимости подвержены следующие продукты:

  • TwinCAT 3.1.4022.4 и более ранних версий;
  • TwinCAT 2.11 R3 2259 и более ранних версий
  • TwinCAT 3.1 C++ / Matlab (TC1210/TC1220/TC1300/TC1320).

Выявленная брешь безопасности получила идентификатор CVE-2018-7502 и оценку 7,8 по шкале CVSS v.3.

Для устранения уязвимости компания Beckhoff Automation рекомендует пользователям обновить программное обеспечение до последней версии и перекомпилировать модули Matlab после обновления.

Источники: US-CERT, Beckhoff